Bug 170481 - it would be nice if scim is turned on by default
it would be nice if scim is turned on by default
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: FutureFeature, i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
Reported: 2005-10-12 01:46 EDT by Noriko Mizumoto
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-01 07:32:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Noriko Mizumoto 2005-10-12 01:46:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040626 Firefox/0.9.1

Description of problem:
For ultra biginner for Linux who never know Linux (so that hotkey), it would be nice if scim is turning on by default to locate the pannel easier without using hotkey.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot up and open text editor
2. You can not turn on scim without hotkey


Actual Results:  If you do not know the hotkey to turn scim on, then have to give up.

Expected Results:  It would be nice and user friendly if scim is turning on by default, so that you can use it from the pannel without knowing hotkey. 

Additional info:
Comment 1 Jens Petersen 2005-10-12 03:03:51 EDT
Thanks.  (Of course while scim can be activated by the mouse using
the systray icon, it may not be obvious to new users - better icons
might well help with that - though personally I'm also thinking of
an option to show the status on the systray icon instead.)

But I think turning on scim by default might be good as long as
it is in noconversion (ie direct ascii input mode) by default
instead.  And this is also related to bug 166841 (using the same
IM in all apps).
Comment 2 Jens Petersen 2006-02-03 09:31:38 EST
Do you think the default mode should then be Japanese input or ASCII input?
Comment 3 Warren Togami 2006-02-06 00:20:46 EST
IMHO, I don't think this request is solving the actual problem.

The real problem is the hotkey activator for a native language is not good for
Japanese users.

The behavior where the previous activation state is held when starting a new
program is more desirable than this request.  For this reason, I suggest that
this is NOTABUG.  Other opinions?
Comment 4 Warren Togami 2006-02-06 00:22:17 EST
Hmm.. Bug #166841 is actually similar to this, but the opposite and a bit
confusing.  I need to re-test SCIM's default behavior and think about this a
little more.  Closing this as a duplicate of Bug #166841.

*** This bug has been marked as a duplicate of 166841 ***
Comment 5 Jens Petersen 2006-02-07 01:57:07 EST
Well global IC mode happens to turn on scim currently as a side-effect,
but as such the two issues are unrelated: for me this is more about
do we need the Ctrl-Space toggle state at all in the long term...
Comment 6 Jens Petersen 2006-02-07 01:59:57 EST
There is also the issue of the scim toolbar panel being visible all the time
when scim is turned on.
Comment 7 Jens Petersen 2006-02-14 00:54:50 EST
Removing from FC5Target since not all IMEs currently have an ascii mode
(we want ascii mode by default for scim on by default).
Comment 8 Jens Petersen 2006-02-24 09:24:47 EST
Shared input mode is being enabled now in 1.4.4-6 btw.
Comment 9 Jens Petersen 2006-03-01 07:32:57 EST
Shared Mode default has been reverted in 1.4.4-8 since it is too intrusive:
e.g. pressing Alt-F2 while inputting Japanese in gedit say puts leaves
one in Japanese when one wants to enter an app to run.  So currently it
does not seem practical to enable shared mode by default.  (Though actually
shared mode works well for scim-anthy if one defaults it to "_A" input

But Zenkaku_Hankaku is now set as a trigger hotkey by default.

Note You need to log in before you can comment on or make changes to this bug.